<template lang="pug">
	#pagina
		header.encabezado
			//- NuxtLink.logo(to="/plantillas")
			.logo: img(src="https://remaxdesignperu.com/img/logo.png", width="120")

			a.volver(href="javascript:history.back()")
				ArrowBackUpIcon
				span Volver

		.herramientas: Herramientas
		.operaciones: Operaciones
		.propiedades: Propiedades
		.opciones: Opciones
		.trabajo
			Visor(ref="visor")
			Control(@control:seleccion="controlSeleccion")

		//- img(:src="`${actual.previo}`", style="grid-column: 1/4;border:1px solid black")
</template>

<script>
import Editor from "@/components/Editor";
import Visor from "@/components/Visor";
import Control from "@/components/Control";
import Propiedades from "@/components/Propiedades";
import Herramientas from "@/components/Herramientas";
import Operaciones from "@/components/Operaciones";


import { mapState, mapGetters, mapMutations, mapActions } from 'vuex'

export default {
	computed: {
		...mapGetters({
			actual: "contenido/actual"
		})
	},
	methods: {
		controlSeleccion(punto){
			// console.debug(arguments)
			this.$refs.visor.seleccionar(punto)
		},
		...mapMutations({
			establecerModo: "editor/establecerModo"

		}),
		...mapActions({
			cargar: "editor/cargarPlantilla"
		})
	},
	mounted(){

		const id = this.$route.params.id
		// console.debug("const id = this.$route.params.id", id)
		if (id) {
			this.cargar(id)
		}

		this.establecerModo("editor")

	}
}
</script>

<style lang="stylus" scoped>
#pagina
	width 100vw
	height 100vh
	position relative
	display grid
	grid-template-areas "encabezado encabezado encabezado" \
		"herramientas operaciones operaciones" \
		"herramientas trabajo propiedades" \
		"herramientas opciones propiedades" \
		"pie pie pie"
	grid-template-columns auto 1fr minmax(25vw, 360px)
	grid-template-rows auto auto 1fr auto auto
	align-items stretch
	align-content stretch

	.encabezado
			grid-area encabezado
			background-color #014492
			display flex
			align-items stretch

		.logo
			background-color white
			padding .5rem 1rem
			display block

			img
				display block



		.volver
			margin 0 0 0 auto
			padding .5rem 1rem
			align-self flex-end
			display flex
			color silver
			&:hover
				background-color alpha(white, 25%)


	.trabajo
		grid-area trabajo
		position relative
		background-color gray
		height 100%
		overflow auto
		display grid
		grid-template-areas "area"

	#visor
	#control
		grid-area area
		// position absolute
		// top 0
		// left 0
		// right 0
		// bottom 0
		margin auto
		position relative
		// border 100px solid transparent

	header
		grid-area enccabezado

	.herramientas
		grid-area herramientas
		background-color #082B8D

	.propiedades
		grid-area propiedades
		background-color #333
		// max-width 300px
		overflow auto

	.operaciones
		grid-area operaciones

	.opciones
		grid-area opciones


</style>
